Subject: Re: bug#35380: Acknowledgement (disk-image fails to install efi grub)

From: rendaw <[email-masked]>
Date: Tue, 23 Apr 2019 02:11:09 +0900

On 4/23/19 1:07 AM, GNU bug Tracking System wrote:
> Thank you for filing a new bug report with debbugs.gnu.org.
>
> This is an automatically generated reply to let you know your message
> has been received.
>
> Your message is being forwarded to the package maintainers and other
> interested parties for their attention; they will reply in due course.
>
> Your message has been sent to the package maintainer(s):
>  [email-masked]
>
> If you wish to submit further information on this problem, please
> send it to [email-masked].
>
> Please do not send mail to [email-masked] unless you wish
> to report a problem with the Bug-tracking system.
>

I ran guix pull and rebuilt the image, and now see this error:

```

installing bootloader...
Backtrace:
           1 (primitive-load "/gnu/store/chp5kal8skdfnz8p4xcr9v5x80p?")
In ./gnu/build/vm.scm:
    552:6  0 (initialize-hard-disk "/dev/vda" #:bootloader-package _ ?)

./gnu/build/vm.scm:552:6: In procedure initialize-hard-disk:
Throw to key `srfi-34' with args `(#<condition &message [message:
"'/gnu/store/c3dj2q7x99xgnmskvpzjg97m3yhv6k8m-grub-efi-2.02/sbin/grub-install
--boot-directory /fs/boot --bootloader-id=Guix --ef.
[  110.993072] Kernel panic - not syncing: Attempted to kill init!
exitcode=0x00000100
[  110.993949] CPU: 0 PID: 163 Comm: init Not tainted 5.0.9-gnu #1
[  110.994631] Hardware name: QEMU Standard PC (i440FX + PIIX, 1996),
BIOS rel-1.12.0-0-ga698c8995f-prebuilt.qemu.org 04/01/2014
[  110.995921] Call Trace:
[  110.996216]  dump_stack+0x63/0x8d
[  110.996608]  panic+0xfe/0x2a4
[  110.996918]  do_exit+0xba1/0xbb0
[  110.997256]  do_group_exit+0x44/0xb0
[  110.997622]  get_signal+0x134/0x6d0
[  110.997981]  ? __vfs_read+0x192/0x210
[  110.998356]  do_signal+0x4e/0x710
[  110.998698]  exit_to_usermode_loop+0x7c/0xf0
[  110.999132]  do_syscall_64+0x101/0x120
[  110.999517]  entry_SYSCALL_64_after_hwframe+0x44/0xa9
[  111.000075] RIP: 0033:0x4bac5c
[  111.000360] Code: Bad RIP value.
[  111.000676] RSP: 002b:00007f20f6eb6ec0 EFLAGS: 00000246 ORIG_RAX:
0000000000000000
[  111.001432] RAX: fffffffffffffe00 RBX: 000000000000000c RCX:
00000000004bac5c
[  111.002145] RDX: 0000000000000001 RSI: 00007f20f6eb7390 RDI:
000000000000000c
[  111.002901] RBP: 00007f20f6eb7390 R08: 0000000000000000 R09:
00007f20f8573f38
[  111.003621] R10: 0000000000000008 R11: 0000000000000246 R12:
0000000000000001
[  111.004339] R13: 0000000000000002 R14: 0000000000000002 R15:
000000000000000a
[  111.005684] Kernel Offset: 0x1a000000 from 0xffffffff81000000
(relocation range: 0xffffffff80000000-0xffffffffbfffffff)
[  111.006752] Rebooting in 1 seconds..
successfully built
/gnu/store/63r04mvsk05wrx5hd9langkp9wfkxr05-disk-image.drv
/gnu/store/jygpabbgp34y0p68qcv4v515fabmd1hv-disk-image
```

I'm not sure if it's the same issue, or if the kernel panic is related,
but since the error mentions `grub-install` I think it's likely the same.